libnvme(2)

NAME
enum nvme_id_ctrl_cmic - Controller Multipath IO and Namespace Sharing Capabilities of the controller and NVM subsystem.

SYNOPSIS
enum nvme_id_ctrl_cmic {
NVME_CTRL_CMIC_MULTI_PORT ,
NVME_CTRL_CMIC_MULTI_CTRL ,
NVME_CTRL_CMIC_MULTI_SRIOV ,
NVME_CTRL_CMIC_MULTI_ANA_REPORTING

};

Constants

NVME_CTRL_CMIC_MULTI_PORT
    If set, then the NVM subsystem may contain more than one NVM subsystem port, otherwise the NVM subsystem contains only a single NVM subsystem port.

NVME_CTRL_CMIC_MULTI_CTRL
    If set, then the NVM subsystem may contain two or more controllers, otherwise the NVM subsystem contains only a single controller. An NVM subsystem that contains multiple controllers may be used by multiple hosts, or may provide multiple paths for a single host.

NVME_CTRL_CMIC_MULTI_SRIOV
    If set, then the controller is associated with an SR-IOV Virtual Function, otherwise it is associated with a PCI Function or a Fabrics connection.

NVME_CTRL_CMIC_MULTI_ANA_REPORTING
    If set, then the NVM subsystem supports Asymmetric Namespace Access Reporting.